<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * @module Pinpoint_DeliveryMessage;
 */

namespace Pinpoint\DeliveryMessage\Api\Data;

/**
 * CMS block interface.
 * @api
 * @since 100.0.2
 */
interface DeliveryMessageInterface
{
    /**#@+
     * Constants for keys of data array. Identical to the name of the getter in snake case
     */
    const MESSAGE_ID = 'message_id';
    const IS_ACTIVE = 'is_active';
    const DAY = 'day';
    const CUTOFF_TIME = 'cutoff_time';
    const TIME_FORMAT = 'time_format';
    const STORE = 'store_id';
    const DELIVERY_MESSAGE_BEFORE = 'delivery_message_before_cutoff';
    const DELIVERY_MESSAGE_AFTER  = 'delivery_message_after_cutoff';
    const MOBILE_MESSAGE_BEFORE   = 'delivery_message_before_cutoff_mobile';
    const MOBILE_MESSAGE_AFTER    = 'delivery_message_after_cutoff_mobile';

    /**
     * Get ID
     *
     * @return int|null
     */
    public function getId();

    /**
     * Is active
     *
     * @return bool|null
     */
    public function getIsActive();

    /**
     * Get identifier
     *
     * @return string
     */
    public function getDay();

    /**
     * Get title
     *
     * @return string|null
     */
    public function getCutoffTime();

    /**
     * @return mixed
     */
    public function getCutoffFormat();

    /**
     * @return int
     */
    public function getStoreId();

    /**
     * @return string
     */
    public function getDeliveryMessageBeforeCutoff();

    /**
     * @return string
     */
    public function getDeliveryMessageAfterCutoff();

    /**
     * @return string
     */
    public function getDeliveryMessageBeforeCutoffMobile();

    /**
     * @return string
     */
    public function getDeliveryMessageAfterCutoffMobile();

    /**
     * @param string $dmbc
     * @return mixed
     */
    public function setDeliveryMessageBeforeCutoff(string $dmbc);

    /**
     * @param string $dmac
     * @return mixed
     */
    public function setDeliveryMessageAfterCutoff(string $dmac);

    /**
     * @param string $dmbcm
     * @return mixed
     */
    public function setDeliveryMessageBeforeCutoffMobile(string $dmbcm);

    /**
     * @param string $dmacm
     * @return mixed
     */
    public function setDeliveryMessageAfterCutoffMobile(string $dmacm);

    /**
     * @param boolean $status
     * @return mixed
     */
    public function setIsActive(bool $status);

    /**
     * @param int $storeId
     * @return mixed
     */
    public function setStoreId(int $storeId);

    /**
     * @param string $day
     * @return mixed
     */
    public function setDay(string $day);

    /**
     * @param string $cTime
     * @return mixed
     */
    public function setCutoffTime(string $cTime);

    /**
     * @param string $cFormat
     * @return mixed
     */
    public function setCutoffFormat(string $cFormat);
}
