<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * @module Pinpoint_DeliveryMessage;
 */
namespace Pinpoint\DeliveryMessage\Api\Data;

use Magento\Framework\Api\SearchResultsInterface;

/**
 * Interface for cms block search results.
 * @api
 * @since 100.0.2
 */
interface DeliveryMessageSearchResultsInterface extends SearchResultsInterface
{
    /**
     * Get blocks list.
     *
     * @return DeliveryMessageInterface[]
     */
    public function getItems();

    /**
     * Set blocks list.
     *
     * @param DeliveryMessageInterface[] $items
     * @return $this
     */
    public function setItems(array $items);
}
