<?php

/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Index
 * @package Pinpoint\DeliveryMessage\Controller\Adminhtml\Index;
 */

namespace Pinpoint\DeliveryMessage\Controller\Adminhtml\Index;

use Magento\Backend\App\Action;
use Magento\Backend\App\Action\Context;
use Magento\Backend\Model\View\Result\Page;
use Magento\Framework\View\Result\PageFactory;

class Index extends Action
{
    const ADMIN_RESOURCE = 'Pinpoint_DeliveryMessage::settings';
    /**
     * @var PageFactory
     */
    protected $resultPageFactory;

    /**
     * Index constructor.
     * @param Context $context
     * @param PageFactory $resultPageFactory
     */
    public function __construct(
        Context $context,
        PageFactory $resultPageFactory
    ) {
        $this->resultPageFactory = $resultPageFactory;
        parent::__construct($context);
    }

    /**
     * @return Page|\Magento\Framework\App\ResponseInterface|\Magento\Framework\Controller\ResultInterface
     */
    public function execute()
    {
        /** @var Page $resultPage */
        $resultPage = $this->resultPageFactory->create();
        $resultPage->setActiveMenu('Pinpoint_DeliveryMessage::settings');
        $resultPage->addBreadcrumb(__('Pinpoint_DeliveryMessage'), __('Pinpoint_DeliveryMessage'));
        $resultPage->addBreadcrumb(__('Manage Delivery Messages'), __('Manage Delivery Messages'));
        $resultPage->getConfig()->getTitle()->prepend(__('Delivery Messages'));
        return $resultPage;
    }
}
