<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 * Website: http://www.pinpointdesigns.co.uk
 * Class Index
 * @module Pinpoint_DeliveryMessage;
 */

namespace Pinpoint\DeliveryMessage\Controller\Json;

use Magento\Framework\App\Action\Action;
use Magento\Framework\App\Action\Context;
use Magento\Framework\App\ResponseInterface;
use Magento\Framework\Controller\Result\Json;
use Magento\Framework\Controller\Result\JsonFactory;
use Magento\Framework\Controller\ResultInterface;
use Pinpoint\DeliveryMessage\Block\DeliveryMessage;

class Index extends Action
{
    /**
     * @var JsonFactory
     */
    private $jsonResultFactory;
    /**
     * @var DeliveryMessage
     */
    private $deliveryMessage;

    /**
     * Index constructor.
     * @param Context $context
     * @param JsonFactory $jsonResultFactory
     * @param DeliveryMessage $deliveryMessage
     */
    public function __construct(
        Context $context,
        JsonFactory $jsonResultFactory,
        DeliveryMessage $deliveryMessage
    ) {
        $this->jsonResultFactory = $jsonResultFactory;
        $this->deliveryMessage = $deliveryMessage;
        parent::__construct($context);
    }

    /**
     * @return ResponseInterface|Json|ResultInterface
     */
    public function execute()
    {
        $message = $this->getRequest()->getParam('message') ? $this->getRequest()->getParam('message') : '';
        $jsonResult = $this->jsonResultFactory->create();
        $jsonResult->setHeader('Content-Type', 'application/json');
        $jsonResult->setData($this->deliveryMessage->getMessageData($message));

        return $jsonResult;
    }
}
