<?php

/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Active
 * @package Pinpoint\DeliveryMessage\Model\Source;
 */

namespace Pinpoint\DeliveryMessage\Model\Source;

use Magento\Framework\Data\OptionSourceInterface;

class Active implements OptionSourceInterface
{
    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $options[] = ['label' => '', 'value' => ''];
        $availableOptions = $this->getOptionArray();
        foreach ($availableOptions as $key => $value) {
            $options[] = [
                'label' => $value,
                'value' => $key,
            ];
        }
        return $options;
    }

    /**
     * @return array
     */
    public static function getOptionArray()
    {
        return [1 => __('Active'), 0 => __('Disabled')];
    }
}
